Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package classpath
  Definition Classes
    nsc
- AggregateClassPath
- ClassFileEntry
- ClassPathEntries
- ClassPathFactory
- CtSymClassPath
- DirectoryClassPath
- DirectoryLookup
- DirectorySourcePath
- FileBasedCache
- FileUtils
- JFileDirectoryLookup
- JrtClassPath
- PackageEntry
- PackageNameUtils
- SourceFileEntry
- VirtualDirectoryClassPath
- ZipAndJarClassPathFactory
- ZipAndJarFileLookupFactory
- ZipAndJarSourcePathFactory
- ZipArchiveFileLookup

c

scala.tools.nsc.classpath

# ClassPathFactory

###
Companion object ClassPathFactory

#### class ClassPathFactory extends AnyRef

Provides factory methods for classpath. When creating classpath instances for a given path, it uses proper type of classpath depending on a types of particular files containing sources or classes.

Source
  ClassPathFactory.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ClassPathFactory
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ClassPathFactory(settings: Settings, closeableRegistry: CloseableRegistry = new CloseableRegistry)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ClassPathFactory toany2stringadd[ClassPathFactory] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ClassPathFactory, B)
   Implicit
     This member is added by an implicit conversion from ClassPathFactory toArrowAssoc[ClassPathFactory] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def classesInExpandedPath(path: String): IndexedSeq[ClassPath]
8.  def classesInManifest(useManifestClassPath: Boolean): collection.immutable.List[ClassPath]
9.  def classesInPath(path: String): collection.immutable.List[ClassPath]
10.  def classesInPathImpl(path: String, expand: Boolean): collection.immutable.List[ClassPath]
    Attributes
      protected
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  def contentsOfDirsInPath(path: String): List[ClassPath]
13.  def ensuring(cond: (ClassPathFactory) => Boolean, msg: => Any): ClassPathFactory
    Implicit
      This member is added by an implicit conversion from ClassPathFactory toEnsuring[ClassPathFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (ClassPathFactory) => Boolean): ClassPathFactory
    Implicit
      This member is added by an implicit conversion from ClassPathFactory toEnsuring[ClassPathFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: => Any): ClassPathFactory
    Implicit
      This member is added by an implicit conversion from ClassPathFactory toEnsuring[ClassPathFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): ClassPathFactory
    Implicit
      This member is added by an implicit conversion from ClassPathFactory toEnsuring[ClassPathFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def expandDir(extdir: String): List[String]
20.  def expandPath(path: String, expandStar: Boolean = true): List[String]
21.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ClassPathFactory toStringFormat[ClassPathFactory] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  def newClassPath(file: AbstractFile): ClassPath

    Create a new classpath based on the abstract file.

28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  def sourcesInPath(path: String): List[ClassPath]

    Creators for sub classpaths which preserve this context.

31.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ClassPathFactory, B)
   Implicit
     This member is added by an implicit conversion from ClassPathFactory toArrowAssoc[ClassPathFactory] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromClassPathFactory to any2stringadd[ClassPathFactory]

### Inherited by implicit conversion StringFormat fromClassPathFactory to StringFormat[ClassPathFactory]

### Inherited by implicit conversion Ensuring fromClassPathFactory to Ensuring[ClassPathFactory]

### Inherited by implicit conversion ArrowAssoc fromClassPathFactory to ArrowAssoc[ClassPathFactory]

### Ungrouped